﻿using System;
using Common;
using Hr;
using Interfaces;
using Office;
using StructureMap;

namespace Website
{
    public static class ContainerBootstrapper
    {
        public static void BootstrapStructureMap()
        {
            ObjectFactory.Initialize(x =>
            {
                x.For<IHr>().Singleton().Use<HrManager>();
                x.For<IOffice>().Singleton().Use<OfficeManager>();
                x.For<ICommon>().Singleton().Use<CommonManager>().Ctor<string>("logPath").Is(AppDomain.CurrentDomain.BaseDirectory+"log");
            });
        }
    }
}
