﻿using System;
using System.Collections.Generic;
using Interfaces;
using StructureMap;

namespace Website
{
    class Program
    {
        static void Main(string[] args)
        {
            ContainerBootstrapper.BootstrapStructureMap();

            //获取所有员工并显示
            IHr hr = ObjectFactory.GetInstance<IHr>();
            IEnumerable<Employee> emps = hr.GetAllEmployees();
            foreach (Employee emp in emps)
            {
                Console.WriteLine("工号:" + emp.EmpNo + " 姓名:" + emp.ChineseName);
            }
            
            Console.WriteLine();

            IOffice office = ObjectFactory.GetInstance<IOffice>();
            IEnumerable<Task> tasks = office.GetAllTasks();
            foreach (Task task in tasks)
            {
                Console.WriteLine(task.Id + " 工号:" + task.EmpNo + " 描述:" + task.Descriptions);
            }

            Console.WriteLine();

            EmployeeDetail me = hr.GetEmployeeByNo("0001");
            Console.WriteLine(me.ChineseName + " " + me.Descriptions + " 任务数:" + me.TaskAmount);

            Console.WriteLine();

            TaskDetail td = office.GetTask(1);
            Console.WriteLine(td.Id + " " + td.EmpName + " " + td.Descriptions);
        }
    }
}
